class PongBall{
  PongPaddleBot theirPaddle;
  PongPaddleUser myPaddle;
  float x, y;
  static final int diameter = 10;
  float velocityX = random(2, 3);
  float velocityY = random(2, 3);

  PongBall(PongPaddleUser myPaddle, PongPaddleBot theirPaddle, int x, int y){
    this.myPaddle = myPaddle;
    this.theirPaddle = theirPaddle;
    this.x = x;
    this.y = y;
  }

  void draw(){
    update();
    ellipse(x, y, diameter, diameter);
  }

  void update(){

    x += velocityX;
    y += velocityY;
    
    // Check for collisions
    if(myPaddle.isInside(this)){
      velocityX *= -1F;
    } else if(theirPaddle.isInside(this)){
      velocityX *= -1F;
    }

    // Bounce the ball
    if (x <= 0 + diameter ){
      x = diameter;
      velocityX *= -1F;
    } else if (x >= width - diameter){
      x = width - diameter;
      velocityX *= -1F;
    }

    if (y <= diameter){
      y = diameter;
      velocityY *= -1;
    } else if (y >= height - diameter){
      y = height - diameter;
      velocityY *= -1F;
    }
  }

}



